Bug 821267 - Review Request: R-BiocGenerics - Generic functions for Bioconductor
Review Request: R-BiocGenerics - Generic functions for Bioconductor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 13:46 EDT by Pierre-YvesChibon
Modified: 2012-07-27 21:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-27 21:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2012-05-13 13:46:26 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs//R-BiocGenerics.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//R-BiocGenerics-0.2.0-1.el6.src.rpm

Description:
S4 generic functions needed by many other Bioconductor packages.
Comment 1 Pierre-YvesChibon 2012-05-13 13:46:31 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4074290
Comment 2 Michel Alexandre Salim 2012-06-04 05:17:25 EDT
Apart from the duplicated "Requires" line, everything else is fine if you intend to support RHEL 5. If not, please see the checklist below and remove the relevant parts from the spec.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint R-BiocGenerics-0.2.0-1.fc17.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint R-BiocGenerics-0.2.0-1.fc17.src.rpm

R-BiocGenerics.src:39: W: macro-in-comment %check
R-BiocGenerics.src:40: W: macro-in-comment %{_bindir}
R-BiocGenerics.src:40: W: macro-in-comment %{packname}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/reviews/821267/BiocGenerics_0.2.0.tar.gz :
  MD5SUM this package     : e99858faa90d26099c933712ed80dd0c
  MD5SUM upstream package : e99858faa90d26099c933712ed80dd0c

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== R ====
[x]: MUST Package contains the mandatory BuildRequires.
[x]: MUST The package has the standard %build section.
[x]: MUST The package owns the created directory.
[x]: MUST Package have the default element marked as %doc : DESCRIPTION
[x]: MUST Package requires R-core.
[x]: SHOULD The %check macro is present
[x]: SHOULD Latest version is packaged.
     Note: Latest upstream version is 0.2.0, packaged version is 0.2.0

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Requires correct, justified where necessary.
     One "Requires" line is duplicated, just above the BuildRequires
[!]: MUST Rpmlint output is silent.

rpmlint R-BiocGenerics-0.2.0-1.fc17.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint R-BiocGenerics-0.2.0-1.fc17.src.rpm

R-BiocGenerics.src:39: W: macro-in-comment %check
R-BiocGenerics.src:40: W: macro-in-comment %{_bindir}
R-BiocGenerics.src:40: W: macro-in-comment %{packname}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

The comments are just to disable the unit tests, so we can just ignore this


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Michel Alexandre Salim 2012-06-04 05:18:41 EDT
Oh, and this:

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

I could find no license text in the source archive -- if you have emailed upstream about it, please make a note above the license field in the spec to that effect (preferably with the URL of the mailing list post)
Comment 4 Pierre-YvesChibon 2012-06-04 05:22:56 EDT
I won't maintain this package in EPEL, but since none of these are real blockers, I will clean the spec and bump the release at import (if that's ok with you).
Comment 5 Michel Alexandre Salim 2012-06-04 05:57:44 EDT
That's fine with me -- APPROVED
Comment 6 Pierre-YvesChibon 2012-06-04 06:02:52 EDT
New Package SCM Request
=======================
Package Name: R-BiocGenerics
Short Description: Generic functions for Bioconductor
Owners: pingou
Branches: F17, F16
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-04 08:08:01 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-19 01:51:05 EDT
R-BiocGenerics-0.2.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/R-BiocGenerics-0.2.0-2.fc16
Comment 9 Fedora Update System 2012-06-19 01:51:26 EDT
R-BiocGenerics-0.2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/R-BiocGenerics-0.2.0-2.fc17
Comment 10 Fedora Update System 2012-06-19 20:24:14 EDT
R-BiocGenerics-0.2.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-07-27 21:18:12 EDT
R-BiocGenerics-0.2.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-07-27 21:26:49 EDT
R-BiocGenerics-0.2.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.